Public Member Functions | List of all members
clan::Line2d Class Reference
clanCore Math

2D line - Double More...

`#include <line.h>`

Inheritance diagram for clan::Line2d:

## Public Member Functions
| Line2d ()
| Line2d (const Line2x< double > &copy)
| Line2d (const Vec2< double > &point_p, const Vec2< double > &point_q)
| Line2d (const Vec2< double > &point_p, double gradient)
Public Member Functions inherited from clan::Line2x< double >
| Line2x ()
| Line2x (const Line2x< double > &copy)
| Line2x (const Vec2< double > &point_p, const Vec2< double > &point_q)
| Line2x (const Vec2< double > &point_p, doublegradient)
Vec2< double > | get_intersection (const Line2x< double > &second, bool &intersect) const
| Return the intersection of this and other line. More...
double | point_right_of_line (Vec2< double > point) const
| Return [<0, 0, >0] if the Point P is right, on or left of the line trough A,B. More...
Line2x< double > & | operator= (const Line2x< double > &copy)
| = operator. More...
bool | operator== (const Line2x< double > &line) const
| == operator. More...
bool | operator!= (const Line2x< double > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Line2x< double >
Vec2< double > | p
| First point on the line. More...
Vec2< double > | q

## Detailed Description

2D line - Double

The documentation for this class was generated from the following file:

- line.h